label mentiroso:
    scene almacenBG1 with fade

    show mai enojada at center
    "Mai te mira con cara de pocos amigos."
    
    $ cartas = ["A", "2", "3", "4", "5", "6", "7", "8", "9", "10", "J", "Q", "K"]
    $ mano_jugador = renpy.random.sample(cartas * 4, 5)  # Mano aleatoria
    $ carta_actual = renpy.random.choice(cartas)         # Carta inicial

    "Comienza el juego de Mentiroso."
    "Carta inicial: [carta_actual]"

    menu:
        "Jugar honestamente":
            $ jugada = carta_actual
            $ mintiendo = False
        "Mentir":
            $ opciones_mentira = [carta for carta in cartas if carta != carta_actual]
            $ jugada = renpy.random.choice(opciones_mentira)
            $ mintiendo = True

    "Colocas una carta diciendo que es un [jugada]."

    # Mai decide si duda o no (con mayor probabilidad de dudar si vas ganando)
    $ npc_duda = renpy.random.choice([True, False, False])

    if npc_duda:
        "Mai te apunta con el dedo."
        "Mai: ¡Mentiroso!"

        if mintiendo:
            "¡Te descubrieron! Debes recoger las cartas del centro."
            "Mai se cruza de brazos, satisfecha."
        else:
            "¡Estabas diciendo la verdad! Mai recoge todas las cartas del centro."

            show mai toples2 at center with dissolve
            "Mai suspira, claramente avergonzada."

    else:
        "Mai no dice nada y el juego continúa."
        "Su mirada vigilante te dice que te está analizando."

    return
