default progreso = 50  
default velocidadCabeza = 0.4
default next_label = "nivel1"
default dificultad = 15
default indiP = 350
default gemi2V = 0.9

default boton_presionado = False

label deEspalda:

    scene
    hide screen ui
    hide screen overlay_negro
    $ next_label = "nivel1"
    $ dificultad = 15
    $ gemi2V = 1.5
    $ contador = 0
    $ indiP = 350
    $ boton_presionado = False
    show mai espalda sex1
    pause
    

    show animacion at animacion_es_unit
    hide mai espalda sex1
    
    call screen contador_screen 
    
    $ renpy.pause()  
    return


label nivel1:
    $ gemi2V = 1.0
    $ contador -= 5
    $ boton_presionado = False

    $ indiP = 450
    $ dificultad = 25
    $ next_label = "nivel2"
    $ velocidadCabeza = 0.3
    play sound "audio/Mimi Moan Pack 1/Moan 8.wav"
    show mai espalda sex4
    m "Huhmmm! ❤️"
    hide mai espalda sex4
    show animacion at animacion_es_unit


    call screen contador_screen
    $ renpy.pause() 


label nivel2:
    $ gemi2V = 0.9
    $ contador -= 10
    $ indiP = 500
    $ dificultad = 35
    $ next_label = "nivel3"
    $ boton_presionado = False

    $ velocidadCabeza = 0.2
    play sound "audio/Mimi Moan Pack 1/Moan 8.wav"
    show mai espalda sex4
    m "Huhmmm! ❤️❤️"
    hide mai espalda sex4
    show animacion at animacion_es_unit
    call screen contador_screen  

    $ renpy.pause()  


label nivel3:
    $ gemi2V = 0.8
    $ contador -= 10
    $ indiP = 630
    $ dificultad = 50
    $ next_label = "final3"
    $ velocidadCabeza = 0.1
    $ boton_presionado = False
    play sound "audio/Mimi Moan Pack 1/Moan 8.wav"
    show mai espalda sex4
    m "Huhmmm! ❤️❤️❤️"
    hide mai espalda sex4
    show animacion at animacion_es_unit
    
    call screen contador_screen


    $ renpy.pause()  

    return
label final3:
    play sound "audio/Mimi Moan Pack 1/Moan 8.wav"
    show mai espalda sex4
    m "Uuuuh"
    "tock tock"
    jump puerta

transform animacion_es_unit:
    "images/Mai/nsfw/mai espalda sex2.png"
    pause velocidadCabeza
    "images/Mai/nsfw/mai espalda sex3.png"
    pause velocidadCabeza
    "images/Mai/nsfw/mai espalda sex4.png"
    pause velocidadCabeza
    "images/Mai/nsfw/mai espalda sex2.png"
    pause velocidadCabeza
    repeat

transform anim_prueba:
    xalign 0.9
    yalign 0.5
    "images/ui/p1.png"
    pause velocidadCabeza
    "images/ui/p2.png"
    pause velocidadCabeza
    "images/ui/p3.png"
    pause velocidadCabeza
    repeat
transform anim_prueba2:
    xalign 0.9
    yalign 0.5
    "images/ui/p1.png"
    


transform rotar_barra:
    xpos 265
    ypos 679
    rotate  0
transform rotar_pija:
    rotate 180
    zoom 0.85
    xpos 40
    ypos 450 
transform indiT:
    
    zoom 0.8
    xpos indiP
    ypos 950



screen contador_screen():
    #text "velocidad [velocidadCabeza] nivel [next_label] dificultad [dificultad] boton pre [boton_presionado]"

    frame:
        background None
        xalign 0.9
        yalign 0.95
        padding (40, 40)

        hbox:
            spacing 30

            vbox:
                spacing 20
                xalign 0.5
                yalign 0.5

                imagebutton:
                    idle "images/ui/b-08.png"
                    hover "images/ui/hb-08.png"
                    insensitive "images/ui/Sb-08.png"
                    xalign 0.5
                    action [SetVariable("contador", contador + 1)]
            
            vbox:
                spacing 20
                xalign 0.5
                yalign 0.5


                imagebutton:
                    idle "images/ui/b-09.png"
                    hover "images/ui/hb-09.png"
                    insensitive "images/ui/Sb-09.png"
                    xalign 0.5
                    action SetVariable("boton_presionado", True)
                    sensitive contador >= dificultad

    frame: # Barra de progreso
        background None

        bar:
            value contador
            range 50
            xsize 420
            ysize 100
            left_bar "#ffffffff"
            right_bar "#ee7b7bff"
            at rotar_barra

        add "images/ui/penUi.png" at rotar_pija
        add "images/ui/indi.png" at indiT

    timer 0.5 repeat True action If(contador > 0, SetVariable("contador", contador - 1))
    timer 0.1 repeat True action If(contador >= dificultad and  boton_presionado, Jump(next_label))
    timer (gemi2V) action Play("sound", "audio/Mimi Moan Pack 1/Moan 7.wav") repeat True



label puerta:
    scene almacenBG1
    "Tock tock"
    show mai toples at anim_abajo
    m "¡¿Qué es eso?!"
    "¿Hay alguien ahí?"
    pj "Es Aimi. Parece que ya vinieron a ayudarnos."
    show mai toples at anim_arriba
    m "Maldición..."
    pj "¡Ya va a entrar!"
    show mai neutral at anim_derecha_centro
    pause
    show aimi idle at left 
    a "Ah... aquí estaban..."
    a "¿Qué... qué estaban haciendo aquí?"
    a "El jefe me envió a buscar algo que dijo que tenías para él..."

    menu:
        "Darle los potenciadores":
            a "Oh, muchas gracias..."
            a "Pensé que estaban heridos... e-escuché muchos gritos..."
        "Decirle que la puerta se atoró":
            a "¿Esta maldita puerta...? Pero... p-pensé que estaban heridos... e-escuché muchos gritos..."
    
    show mai hambre1 avergonzada
    m "S-solo estaba asustada..."
    m "Me retiro..."
    "Mai me lanza una mirada avergonzada antes de irse."
    hide mai hambre1 avergonzada
    show aimi idle at center
    a "Se... se llevan bien, ¿no?"
    pj "Parece que sí..."
    "Ella es Aimi, una de las pocas personas en esta empresa que me trata bien."
    "Y claro... es hermosa..."
    a "Oye... [pj]... ¿puedo preguntarte algo?"
    pj "Claro."
    a "T-tú y [m]... ¿ustedes...?"
    a "N-no importa. Olvídalo. Tenemos una reunión en la sala principal..."
    a "¿V-vamos?"
    
    menu:
        "Acompañar a [a]":
            "Vamos."
            jump continuara1



label continuara1:
    scene black with dissolve
    "¡Gracias por jugar esta versión de prueba de Sora Tabecha Dame! "
    "El desarrollo sigue en marcha y pronto tendremos muchas más sorpresas para ti."
    "Si quieres apoyarnos, comparte el juego con tus amigos o visita nuestro Patreon. "
    show screen patreonB
    "¡Nos vemos pronto!"
    hide screen patreonB
    jump start


screen patreonB:
    imagebutton:
        idle "images/ui/i_patreon.png"
        hover "images/ui/h_patreon.png"
        action OpenURL("https://patreon.com/sore_tabecha_dame")
        xalign 0.5
        yalign 0.5
transform anim_abajo:
    yalign 20.0
    xalign 0.5
    linear 0.3 yalign 8.0
transform anim_arriba:
    yalign 8.0
    xalign 0.5
    linear 0.3 yalign 1.0
    linear 0.5 xalign 2.0

transform anim_derecha_centro:
    yalign 1.0
    xalign 2.0
    linear 0.5 xalign 0.6
